[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora 9 Update: duplicity-0.5.18-1.fc9



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-5427
2009-05-25 17:28:49
--------------------------------------------------------------------------------

Name        : duplicity
Product     : Fedora 9
Version     : 0.5.18
Release     : 1.fc9
URL         : http://www.nongnu.org/duplicity/
Summary     : Encrypted bandwidth-efficient backup using rsync algorithm
Description :
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many protocols for connecting to a
file server could be supported; so far ssh/scp, local file access,
rsync, ftp, HSI, WebDAV and Amazon S3 have been written.

Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup. Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, device files,
but not hard links.

--------------------------------------------------------------------------------
Update Information:

- Added support for RackSpace's CloudFiles, cf+http.  - Added support for Tahoe-
LAFS from the patch, upstream patch #6743: Tahoe backend for duplicity
(https://savannah.nongnu.org/patch/?6743)  - Only half of this bug is fixed but
it's still useful, upstream bug #21792: pipe call fails with an error OSError:
[Errno 24] Too many open files (https://savannah.nongnu.org/bugs/?21792)  -
Changed from using ulimit external command to resource.getrlimit to check open
files limit.  - Removed one line of code left from some testing that I did that
caused a crash when the target dir was empty and collection-status was
requested.  - Moved from using the df command to get temp space availability to
Python's os.statvfs() call.  Not all df commands work the same way.  - Upstream
patch #6813: Making changelist easy to read
(https://savannah.nongnu.org/patch/?6813)  - Upstream patch #6814: Ignore
comments in filelists (https://savannah.nongnu.org/patch/?6814)  - Upstream bug
#24825: duplicity warn on insufficient TMPDIR space availability and low max
open file limits pre-backup. (https://savannah.nongnu.org/bugs/?24825)  -
Upstream bug #25594: wrong backup statistics
(https://savannah.nongnu.org/bugs/?25594)  - Upstream bug #25976: Password
requested when not needed. (https://savannah.nongnu.org/bugs/?25976)  - Upstream
patch #6806: More graceful handling of old --short-filename files
(https://savannah.nongnu.org/patch/?6806)  - Added tilde and variable expansion
to the source or target argument that is not a URL.  - FTP backend was failing
on PureFTPd when the "-x ''" option was removed from the second ncftpls popen, a
fix that was implemented due to bug #24741.  This fix does the ls in one pass by
extracting the last entry on the 'ls -l' listing.  - If a file is unreadable due
to access rights or other non-fatal errors, put out error message and continue
rather than dying messily with a traceback.  - Added tilde '~' expansion and
variable expansion in the options that require a filename.  You can now have
this "--archive-dir=~/ArchDir/$SYSNAME" if you need it.  No expansion is applied
to the source or target URL's.  - Fixed problem I caused, again, where
sys.exit() was trapping instead of exiting.  Added big note to not to do that
again.  - After email voting among known duplicity contributors, the decision
was reached to revert to the GPL Version 2 license, so with their consensus,
duplicity is now underGPL Version 2.  - Revert to calling NcFTP utilities (ls,
get, put) directly rather than scripting ncftp via pexpect by reverting to the
0.5.07 version of ftpbackend.py.  - Changed fatal error regarding version 3.2.0
of ncftpput to warning level since it has been reported that the problem does
not occur on most distributions.  - Changed from log.Log with numbered log
levels to log.Debug (9), log.Info (5-8), log.Notice (3-4), log.Warn (1-2),
log.FatalError (0). The -vN option has not changed.  Verbosity may also be one
of: character [ewnid], or word ['error', 'warning', 'notice', 'info', 'debug'].
The default is 4 (Notice).  The options -v4, -vn, and -vnotice are functionally
equivalent, as are the mixed-case versions, -vN, -vNotice, -vNOTICE.  -
Normalized include statements and tried to insure that all duplicity includes
were from the duplicity module.  - Upstream patch #6790: Add --exclude-if-
present https://savannah.nongnu.org/patch/?6790  - Add more error detection to
FTP backend.  - Fix backends so sleep does not occur after last retry.  - Fix so
BackendException does not cause traceback except when verbosity is at level 5 or
higher (Info level).  - Adjust log levels so some errors show up with default
verbosity.  - Fixed bug where an extra comma caused a traceback during a warning
about unnecessary sig files.  Plus fixed print so the real filename would show
up and not a Python object representation.  - Add Changelog.GNU to website and
distribution to add a bit of detail showing the CVS changes via rcs2log.  Added
dist/mkGNUChangelog.sh.  - Upstream bug #22908: Don't block gpg-agent
(https://savannah.nongnu.org/bugs/?22908)  - To fix the above, --use-agent was
added as a command line option. When this is specified and asymetric encryption
is enabled, then all GnuPG passphrases will come from the gpg-agent or
equivalent program and no passphrase prompt will be issued.  - Upstream bug
#25787: Usernames with escaped @-sign are not handled properly
(https://savannah.nongnu.org/bugs/?25787)  - Upstream bug #25976: Password
requested when not needed (https://savannah.nongnu.org/bugs/?25976)  - Upstream
patch #6787: import duplicity.GnuPGInterface explicitly
(https://savannah.nongnu.org/patch/?6787)
--------------------------------------------------------------------------------
ChangeLog:

* Sun May 24 2009 Robert Scheck <robert fedoraproject org> 0.5.18-1
- Upgrade to 0.5.18
* Sun May  3 2009 Robert Scheck <robert fedoraproject org> 0.5.16-1
- Upgrade to 0.5.16
* Thu Apr 16 2009 Robert Scheck <robert fedoraproject org> 0.5.15-1
- Upgrade to 0.5.15
* Sat Mar 21 2009 Robert Scheck <robert fedoraproject org> 0.5.12-1
- Upgrade to 0.5.12 (#490289)
* Mon Feb 23 2009 Robert Scheck <robert fedoraproject org> 0.5.06-2
- Rebuild for gcc 4.4 and rpm 4.6
* Sun Jan 25 2009 Robert Scheck <robert fedoraproject org> 0.5.06-1
- Upgrade to 0.5.06 (#481489)
* Sun Dec  7 2008 Robert Scheck <robert fedoraproject org> 0.5.03-1
- Upgrade to 0.5.03
* Fri Dec  5 2008 Jeremy Katz <katzj redhat com> 0.4.12-3
- Rebuild for python 2.6
* Fri Aug  8 2008 Robert Scheck <robert fedoraproject org> 0.4.12-2
- Added patch to get scp without username working (#457680)
* Sun Jul 27 2008 Robert Scheck <robert fedoraproject org> 0.4.12-1
- Upgrade to 0.4.12
* Sat Jun 28 2008 Robert Scheck <robert fedoraproject org> 0.4.11-2
- Added patch for incremental backups using python 2.3 (#453069)
* Mon May  5 2008 Robert Scheck <robert fedoraproject org> 0.4.11-1
- Upgrade to 0.4.11 (#440346)
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update duplicity' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]